Returns the lifecycle events of the 2FA verification identified by session_id, such as number lookup and code delivery.
Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.
The unique ID of the 2FA verification session.
"8753d4308f2e11ecb75fcdafd6d2d690"
Returns the list of 2FA verification events.
Date and time of the event
"2022-02-16T13:41:38.000Z"
Human-readable event description. One of the following values:
Number lookup — the Wavix platform checked whether the destination phone number is valid. Returned only when number validation is enabled for the 2FA Service.Code sent via SMS — a code was sent via SMS.Code sent via voice — a code was sent via a voice call.Verification — a code verification attempt."Code sent via SMS"
Status of an action associated with the event. Can be either success, failed, or pending.
"success"
Cost of an operation associated with the event, in USD
"0.005"
Error description, if any
[
{
"created_at": "2022-02-16T13:41:38.000Z",
"event": "Number lookup",
"status": "success",
"charge": "0.005",
"error": null
},
{
"created_at": "2022-02-16T13:41:38.000Z",
"event": "Code sent via SMS",
"status": "success",
"charge": "0.005",
"error": null
}
]